Bug 799088 - rawtherapee does not honour auto levels in batch mode
rawtherapee does not honour auto levels in batch mode
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rawtherapee (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thibault North
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-01 13:39 EST by Ronald Wahl
Modified: 2013-02-13 21:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:27:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronald Wahl 2012-03-01 13:39:12 EST
Description of problem:
When processing raw images in batch mode and using a profile which has "auto levels" enabled then this setting is ignored and the actual values are used from the profile instead of recalculating them for each image. This includes white balance as well. That way the batch processing is rather useless for profiles with auto levels enabled.

Version-Release number of selected component (if applicable):
4.0.7-2.fc16.x86_64

How reproducible:
always

Steps to Reproduce:
1. Apply a profile that has "auto levels" enabled to a raw image using right mouse menu. Make sure that the profile has been created using a different image so that the value for exposure and so on are different!
2. Put the image to the batch queue.
3. Process the batch queue.
4. Compare the applied source profile with the profile beside the raw image.
5. Open the raw image (now the auto level setting is honoured and the pp3 is updated!)
6. Compare the applied source profile with the actualized profile of the raw image after opening it.
  
Actual results:
The first compare shows no difference.
The second compare shows a difference.
This means that the batch processor created different output than the interactive process.
Depending on the raw image the created jpeg images differ.

Expected results:
The first compare shows a difference.
The second compare shows the same difference.
The generated jpeg images should be the same.

Additional info:
Comment 1 Thibault North 2012-04-08 13:26:40 EDT
Hi,
Thanks for the report and sorry for the delay. Could you please try with rawtherapee-4.0.8 from updates-testing ?
Comment 2 Ronald Wahl 2012-04-08 18:04:26 EDT
Hi,
unfortunately the bug is still there in rawtherapee 4.0.8.
Comment 3 Fedora End Of Life 2013-02-13 21:27:25 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.